import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tanami_app/features/languageChange/presentation/bloc/choose_language_bloc.dart';

import '../../../../core/styles/app_color.dart';
import 'language_change_layout.dart';

class LanguageChaneScreen extends StatelessWidget {
  const LanguageChaneScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      resizeToAvoidBottomInset: true,
      body: MultiBlocProvider(
        // Define the providers for the OnboardingBloc and other blocs
        providers: [
          BlocProvider(
            // Create an instance of the OnboardingBloc
            create: (context) => ChooseLanguageBloc(),
          ),
        ],
        child: const LanguageChangeLayout(),
      ),
    );
  }
}
